Bug 1420365 - ProFTPD 1.3.5d on CentOS7 segfault soon after sftp connection
Summary: ProFTPD 1.3.5d on CentOS7 segfault soon after sftp connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: proftpd
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:23 UTC by redhat
Modified: 2017-04-04 22:35 UTC (History)
4 users (show)

Fixed In Version: proftpd-1.3.5d-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-05 05:48:36 UTC
Type: Bug


Attachments (Terms of Use)
systemd journal, proftpd trace log, SFTP config snippet (21.57 KB, text/plain)
2017-02-08 14:23 UTC, redhat
no flags Details

Description redhat 2017-02-08 14:23:57 UTC
Created attachment 1248617 [details]
systemd journal, proftpd trace log, SFTP config snippet

Description of problem:
I'm using proftpd SFTP service(mod_sftp + mod_sftp_sql) on CentOS7.3.1611 and works well until update to 1.3.5d-1. After update, SFTP service disconnects soon after client connected to.
systemd journal shows
  ProFTPD terminating (signal 11)

Version-Release number of selected component (if applicable):
proftpd-1.3.5d-1.el7.x86_64

How reproducible:
always.


Steps to Reproduce:
1. yum update from 1.3.5b-2 to 1.3.5d-1
2. systemctl restart proftpd
3. connect to SFTP service from client

Actual results:
disconnected/cannot even an authenticate.

Expected results:
connect/auth/do file manupilations.

Additional info:
systemd journal, proftpd trace log, SFTP config snippet are attached.

Comment 1 Paul Howarth 2017-02-08 14:36:43 UTC
Looks similar to:
http://bugs.proftpd.org/show_bug.cgi?id=4287

Would you be able to try a scratch build with upstream's patch if I build one?

Comment 2 Paul Howarth 2017-02-08 14:58:08 UTC
Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=17675661

Comment 3 Paul Howarth 2017-02-10 15:39:21 UTC
Can you try the scratch build and see if it fixes the issue?

Comment 4 Fedora Update System 2017-02-17 09:35:22 UTC
proftpd-1.3.5d-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68cac04c59

Comment 5 Fedora Update System 2017-02-17 21:19:26 UTC
proftpd-1.3.5d-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-68cac04c59

Comment 6 Fedora Update System 2017-03-05 05:48:36 UTC
proftpd-1.3.5d-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 redhat 2017-04-04 22:35:12 UTC
I have confirmed the bug fix. thank you all.


Note You need to log in before you can comment on or make changes to this bug.